Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CustomerNameParameters
    Inherits BaseObject
    Private _PHImportType As ePHImportType
    Private _CustomerNumber As String
    Private _CustomerText As String
    Private _Customers As Customers
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Public Property PHImportType As ePHImportType
        Get
            Return _PHImportType
        End Get
        Set(value As ePHImportType)
            SetPropertyValue("PHImportType", _PHImportType, value)
        End Set
    End Property
    Property CustomerNumber As String
        Get
            Return _CustomerNumber
        End Get
        Set(value As String)
            SetPropertyValue("CustomerNumber", _CustomerNumber, value)
        End Set
    End Property
    Property CustomerText As String
        Get
            Return _CustomerText
        End Get
        Set(value As String)
            SetPropertyValue("CustomerText", _CustomerText, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
End Class
